LibreOffice: XDatabaseAccess Interface Reference

LibreOffice LibreOffice 7.1 SDK API Reference

Public Member Functions | List of all members
XDatabaseAccess Interface Referencepublished

is not to be used anymore More...

`import"XDatabaseAccess.idl";`

Inheritance diagram for XDatabaseAccess:

## Public Member Functions
boolean | hasConnections ()
com::sun::star::sdbc::XConnection | getIsolatedConnection ([in]string user, [in]string password) raises (com::sun::star::sdbc::SQLException)
boolean | suspendConnections () raises (com::sun::star::sdbc::SQLException)
void | addDatabaseAccessListener ([in]XDatabaseAccessListener listener)
void | removeDatabaseAccessListener ([in]XDatabaseAccessListener listener)
Public Member Functions inherited from XDataSource
XConnection | getConnection ([in]string user, [in]string password) raises (SQLException)
| attempts to establish a database connection. More...
void | setLoginTimeout ([in]long seconds) raises (SQLException)
| sets the maximum time in seconds that this data source will wait while attempting to connect to a database. More...
long | getLoginTimeout () raises (SQLException)
| gets the maximum time in seconds that this data source can wait while attempting to connect to a database. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is not to be used anymore

Deprecated:

## Member Function Documentation

## ◆ addDatabaseAccessListener()

void addDatabaseAccessListener | ( | [in] XDatabaseAccessListener | listener | ) |

## ◆ getIsolatedConnection()

com::sun::star::sdbc::XConnection getIsolatedConnection | ( | [in] string | user,
|  | [in] string | password
| ) |  |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

## ◆ hasConnections()

boolean hasConnections | ( |  | ) |

## ◆ removeDatabaseAccessListener()

void removeDatabaseAccessListener | ( | [in] XDatabaseAccessListener | listener | ) |

## ◆ suspendConnections()

boolean suspendConnections | ( |  | ) |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XDatabaseAccess.idl